
(object Petal
    version    	44
    _written   	"Rose 7.1.9642.27"
    charSet    	0)

(object Class_Category "CGIF Management"
    is_unit    	TRUE
    is_loaded  	TRUE
    quid       	"3BD772BB033A"
    documentation 	"The CGIF Management Domain is responsible for both reading and writing CGIF formatted files to and from the ConGraT system.  This is accomplished thorough the use of a class structure based upon CGIF tokens and elements."
    visible_categories 	(list visibility_relationship_list
	(object Visibility_Relationship
	    quid       	"3BE2065802EE"
	    supplier   	"Logical View::Conceptual_Graph_Engine"
	    quidu      	"3BD772CB008A")
	(object Visibility_Relationship
	    quid       	"3BE20BB201E9"
	    supplier   	"Logical View::Standard Template Library"
	    quidu      	"3BE0B7CA0228"))
    exportControl 	"Public"
    logical_models 	(list unit_reference_list
	(object Class "ElementCCGIFSyntaxAnalyzer"
	    quid       	"3BD77340029B"
	    documentation 	"The Element class is the base class for the Elements that are created as a result of parsing a CGIF File."
	    operations 	(list Operations
		(object Operation "getDefLabel"
		    quid       	"3BD7783400E6"
		    documentation 	"This function creates a new element."
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "Install"
		    quid       	"3BE0B7ED0304"
		    documentation 	"The Install method analyzes the current Element and determines the appropriate CG_Construct to use to be used.  The CG_Construct instances is created and inserted into the KnowledgeBase."
		    parameters 	(list Parameters
			(object Parameter "pFactory"
			    quid       	"3BE21EC503A3"
			    type       	"ACCGFactory"))
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "getIndexIndiv"
		    quid       	"3BE5C0E40294"
		    documentation 	"The Generate method is used to write a CGIF formatted file."
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "getBoundLabel"
		    quid       	"3C0C0BD90044"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "getReferent"
		    quid       	"3C0C0BE0037A"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "getComment"
		    quid       	"3C0C0BE700B3"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "getCorefLinks"
		    quid       	"3C0C0BEC03E5"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "getConcept"
		    quid       	"3C0C0BF30088"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "getArc"
		    quid       	"3C0C0BF801F8"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "getRelation"
		    quid       	"3C0C0BFD014B"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "getOneElement"
		    quid       	"3C0C0C030095"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0))
	    class_attributes 	(list class_attribute_list
		(object ClassAttribute "m_pKB"
		    quid       	"3C0C099A01C4"
		    type       	"CKnowledgeBase*")
		(object ClassAttribute "m_pTH"
		    quid       	"3C0C09AE03C2"
		    type       	"CTypeHierarchy*")
		(object ClassAttribute "m_pRH"
		    quid       	"3C0C09EA01C9"
		    type       	"CRelationHierarchy*")
		(object ClassAttribute "m_pCOI"
		    quid       	"3C0C09FD02A3"
		    type       	"CCatalogOfIndividuals*")
		(object ClassAttribute "m_pSOA"
		    quid       	"3C0C0A1801E3"
		    type       	"CSheetOfAssertion*")
		(object ClassAttribute "m_pTokenizer"
		    quid       	"3C0C0A4202FC"
		    type       	"CCGIFLexicalAnalyzer*")
		(object ClassAttribute "simpleTokenList"
		    quid       	"3C0C0A5A01AC"
		    type       	"simpleTokenType*")
		(object ClassAttribute "m_nNewTokenNumber"
		    quid       	"3C0C0A6A032C"
		    type       	"Integer")
		(object ClassAttribute "seg_ptr"
		    quid       	"3C0C0A8102C1"
		    type       	"Integer")
		(object ClassAttribute "position"
		    quid       	"3C0C0ABC02C5"
		    type       	"Integer")
		(object ClassAttribute "concept"
		    quid       	"3C0C0AD90137"
		    type       	"concepttype*")
		(object ClassAttribute "relation"
		    quid       	"3C0C0AF20381"
		    type       	"relationtype*")
		(object ClassAttribute "comment[]"
		    quid       	"3C0C0B0503E3"
		    type       	"char"))
	    abstract   	TRUE)
	(object Class "Actor_Element"
	    quid       	"3BD7734602D6"
	    documentation 	"An Actor is a conceptual relation that is used to represent functional dependencies. Its semantics may be computed or otherwise determined by an IT system external to the current module. This represents the CGIF Actor construct for the purposes of parsing the CGIF file.  It is represented by a string starting with a less-than symbol followed by a relation type label or a lambda expression.  It continues with zero or more arcs, a vertical bar, zero or more arcs, and an optional semicolon and an actor comment.  It ends with a greater-than symbol.  "
	    superclasses 	(list inheritance_relationship_list
		(object Inheritance_Relationship
		    quid       	"3BD7735401FA"
		    supplier   	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B")))
	(object Class "Relation_Element"
	    quid       	"3BD77358000B"
	    documentation 	"This represents the CGIF Relation construct for the purposes of parsing the CGIF file.  Its format is a string starting with a left parenthesis followed by a relation type label or a lambda expression.  It continues with zero or more arcs and an optional semicolon, and relation comment.  It ends with a right parenthesis.  "
	    superclasses 	(list inheritance_relationship_list
		(object Inheritance_Relationship
		    quid       	"3BD77372015D"
		    supplier   	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B")))
	(object Class "Concept_Element"
	    quid       	"3BD7737E0042"
	    documentation 	"A concept is a node in a CG that refers to an entity, a set of entities, or a range of entities. This represents the CGIF Concept_Element construct for the purposes of parsing the CGIF file.  Its format is a string starting with a left bracket followed by an optional type followed by either optional coreference links or a colon and optional coreference links and optional referent in any order.  Then comes an optional semicolon followed by a concept comment.  Finally the concept is terminated by a right bracket.  "
	    superclasses 	(list inheritance_relationship_list
		(object Inheritance_Relationship
		    quid       	"3BD7739102E8"
		    supplier   	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B")))
	(object Class "CCGIFLexicalAnalyzer"
	    quid       	"3BE211C7036F"
	    documentation 	
|The CGIF tokenizer will accept CGIF file as input, and generate all tokens in this file, the generated tokens will be used to form elements. The lexical categories of CGIF are defined as sequences of characters as specified in ISO/IEC 10646-1, the only exception occurs in strings that represent identifiers, names, literals, and comments. Numerical values are represented by the conventions of ANSI X3.42.  
|
|All tokens and their BNF rules used by the tokenizer are listed below:
|(1) Comment: A comment is a delimited string with a semicolon ";" as the delimiter. 
|Comment  ::=  DelimitedStr(";")
|(2) Exponent: An exponent is the letter E in upper or lower case, an optional sign ("+" or "-"), and an unsigned integer. 
|Exponent ::= ("e" | "E") ("+" | "-")? UnsignedInt
|
|(3) Floating: A floating-point number is a sign ("+" or "-") followed by one of three options: (1) a decimal point ".", an unsigned integer, and an optional exponent; (2) an unsigned integer, a decimal point ".", an optional unsigned integer, and an optional exponent; or (3) an unsigned integer and an exponent. 
|Floating ::= ("+" | "-") ("." UnsignedInt Exponent?
|             | UnsignedInt ("." UnsignedInt? Exponent? | Exponent ) )
|(4) Identifier: An identifier is a string beginning with a letter or underscore "_" and continuing with zero or more letters, digits, or underscores. 
|
|Identifier  ::=  (Letter | "_") (Letter | Digit | "_")*
|
|(5) Integer: An integer is a sign ("+" or "-") followed by an unsigned integer. 
|Integer ::= ("+" | "-") UnsignedInt
|
|(6) Name: A name is a delimited string with a single quote "'" as the delimiter. 
|Name  ::=  DelimitedStr("'")
|
|(7) Number: A number is an integer or a floating-point number. 
|Number ::= Floating | Integer
|
|(8) QuotedStr: A quoted string is a delimited string with a double quote '"' as the delimiter. 
|QuotedStr  ::=  DelimitedStr('"')
|
|(9) UnsignedInt: An unsigned integer is a string of one or more digits. 
|UnsignedInt ::= Digit+
|
	    
	    used_nodes 	(list uses_relationship_list
		(object Uses_Relationship
		    quid       	"3BE35DF10188"
		    supplier   	"Logical View::CGIF Management::Element_List"
		    quidu      	"3BE215740245")
		(object Uses_Relationship
		    quid       	"3BE35E6300A5"
		    supplier   	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B"))
	    realized_interfaces 	(list realize_rel_list
		(object Realize_Relationship
		    quid       	"3BE215990221"
		    supplier   	"Logical View::Standard Template Library::Vector"
		    quidu      	"3BE2129F03A1"))
	    operations 	(list Operations
		(object Operation "Read_CGIF_File"
		    quid       	"3BE216F1021B"
		    documentation 	"The CGIF_Tokenizer will run through the input CGIF file and generate all tokens in that file. If an error happens, the tokenizer will stop and report error message."
		    parameters 	(list Parameters
			(object Parameter "TokenList"
			    quid       	"3BE217B403D4"))
		    result     	"bool"
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "Read_Token"
		    quid       	"3BE68F4E0278"
		    documentation 	"The Read_Token determines the content of the next token."
		    result     	"bool"
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "printTokens"
		    quid       	"3C0C066C0232"
		    documentation 	"printTokens prints the tokens to the output file."
		    result     	"bool"
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "sindex"
		    quid       	"3C0C078B0176"
		    documentation 	"The sindex method return the position of the character in token."
		    result     	"int"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "identifyTokenType"
		    quid       	"3C0C08AA0151"
		    documentation 	"The identifyTokenType method identifies the type of the tokens."
		    parameters 	(list Parameters
			(object Parameter "ch"
			    quid       	"3C0C08D20393"
			    type       	"char"))
		    result     	"token_kind_type"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "getOneToken"
		    quid       	"3C0C08FB0099"
		    documentation 	"The getOneToken method get one token from the string line."
		    result     	"void"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0)
		(object Operation "tokenAnalyzer"
		    quid       	"3C0C091A01CA"
		    result     	"int"
		    concurrency 	"Sequential"
		    opExportControl 	"Private"
		    uid        	0))
	    class_attributes 	(list class_attribute_list
		(object ClassAttribute "tokens"
		    quid       	"3C0C07DB026C"
		    type       	"string_vector_type")
		(object ClassAttribute "tokenNumber"
		    quid       	"3C0C0814014B"
		    type       	"int")
		(object ClassAttribute "simpleTokenList"
		    quid       	"3C0C0829026E"
		    type       	"simpleTokenType*"
		    exportControl 	"Public")
		(object ClassAttribute "m_nNewTokenNumber"
		    quid       	"3C0C085B03D8"
		    type       	"int"
		    exportControl 	"Public")
		(object ClassAttribute "seg[8]"
		    quid       	"3C0C086F0323"
		    type       	"int"
		    exportControl 	"Public"))
	    language   	"C++")
	(object Instantiated_Class "Element_List"
	    quid       	"3BE215740245"
	    documentation 	"The Element_List is a list of pointers to Element instances.  The Element_List is used to store information that is being parsed from a CGIF file or saved into a CGIF file."
	    operations 	(list Operations
		(object Operation "Create"
		    quid       	"3BE220C60351"
		    documentation 	"This functions creates a new Element_List"
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "Iterate"
		    quid       	"3BE2214402B2"
		    documentation 	"This method iterates the Element_List and calls the Install or Generate method as necessary."
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0))
	    language   	"C++")
	(object Class "CGIFParser"
	    quid       	"3BE21CA103B9"
	    documentation 	"The CGIF_IO_Manager is responsible for managing the read and write operations on CGIF formatted files."
	    used_nodes 	(list uses_relationship_list
		(object Uses_Relationship
		    quid       	"3BE21E3401EC"
		    supplier   	"Logical View::CGIF Management::CCGIFLexicalAnalyzer"
		    quidu      	"3BE211C7036F")
		(object Uses_Relationship
		    quid       	"3BE21E3B0156"
		    supplier   	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B"))
	    operations 	(list Operations
		(object Operation "Parse"
		    quid       	"3BE21CC5000E"
		    documentation 	
|The Parse method analysis the input file and creates a list of Tokens which are used to create Elements.
|
|PDL:
|  typedef Vector<Token*> TokenList;
|
|  TokenList tl;
|
|  it = tl.begin();
|  while (tok = it.next())
|  {
|    tok->Construct()
|  }
		    
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "Generate"
		    quid       	"3BE47338003E"
		    documentation 	"The Generate methods functions in the opposite order of the Parse method to generate a CGIF file from the current KnowledgeBase."
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0))
	    class_attributes 	(list class_attribute_list
		(object ClassAttribute "m_filename"
		    quid       	"3BE21D1A015B"
		    type       	"String"
		    quidu      	"3BE21D8E007B"))
	    language   	"C++")
	(object Class "Comment_Element"
	    quid       	"3BE36A850250"
	    documentation 	"The Comment_Element class represents the CGIF Element for an Comment."
	    superclasses 	(list inheritance_relationship_list
		(object Inheritance_Relationship
		    quid       	"3BE36AAF005C"
		    supplier   	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B"))
	    language   	"C++")
	(object Association "$UNNAMED$0"
	    quid       	"3BE217950195"
	    roles      	(list role_list
		(object Role "$UNNAMED$1"
		    quid       	"3BE21796007E"
		    supplier   	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B"
		    is_navigable 	TRUE)
		(object Role "$UNNAMED$2"
		    quid       	"3BE217960088"
		    supplier   	"Logical View::CGIF Management::Element_List"
		    quidu      	"3BE215740245")))
	(object Association "$UNNAMED$3"
	    quid       	"3BE21E2F00B9"
	    roles      	(list role_list
		(object Role "$UNNAMED$4"
		    quid       	"3BE21E3101CA"
		    supplier   	"Logical View::CGIF Management::Element_List"
		    quidu      	"3BE215740245"
		    is_navigable 	TRUE)
		(object Role "$UNNAMED$5"
		    quid       	"3BE21E3101D4"
		    supplier   	"Logical View::CGIF Management::CGIFParser"
		    quidu      	"3BE21CA103B9")))
	(object Mechanism @1
	    logical_models 	(list unit_reference_list
		(object Object "$UNNAMED$6"
		    quid       	"3BE22052037C"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE220640183"
			    supplier   	"$UNNAMED$7"
			    quidu      	"3BE2205A0229"
			    messages   	(list Messages
				(object Message "Parse( )"
				    quid       	"3BE220640184"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"1"
				    ordinal    	0
				    quidu      	"3BE21CC5000E"))))
		    class      	"Logical View::User Interface::ConGraT_Application"
		    quidu      	"3BD775F00006"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$7"
		    quid       	"3BE2205A0229"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE2209101CE"
			    supplier   	"$UNNAMED$8"
			    quidu      	"3BE220860345"
			    messages   	(list Messages
				(object Message "Read_CGIF_File()"
				    quid       	"3BE2209101CF"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"1.2"
				    ordinal    	2
				    quidu      	"3BE216F1021B")))
			(object Link
			    quid       	"3BE220C0004F"
			    supplier   	"$UNNAMED$9"
			    quidu      	"3BE220A8014F"
			    messages   	(list Messages
				(object Message "Create( )"
				    quid       	"3BE220C00050"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"1.1"
				    ordinal    	1
				    quidu      	"3BE220C60351"))))
		    class      	"Logical View::CGIF Management::CGIFParser"
		    quidu      	"3BE21CA103B9"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$8"
		    quid       	"3BE220860345"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE2210202C1"
			    supplier   	"$UNNAMED$10"
			    quidu      	"3BE220FB0271"
			    messages   	(list Messages
				(object Message "getDefLabel( )"
				    quid       	"3BE2210202C2"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"1.2.1"
				    ordinal    	3
				    Operation  	"getDefLabel"
				    quidu      	"3BD7783400E6")))
			(object Link
			    quid       	"3BE2210E0264"
			    supplier   	"$UNNAMED$9"
			    quidu      	"3BE220A8014F"
			    messages   	(list Messages
				(object Message "Insert( )"
				    quid       	"3BE2210E0265"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"1.2.2"
				    ordinal    	4
				    quidu      	"3BE2133C0325"))))
		    class      	"Logical View::CGIF Management::CCGIFLexicalAnalyzer"
		    quidu      	"3BE211C7036F"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$9"
		    quid       	"3BE220A8014F"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE2215001A1"
			    supplier   	"$UNNAMED$10"
			    quidu      	"3BE220FB0271"))
		    class      	"Logical View::CGIF Management::Element_List"
		    quidu      	"3BE215740245"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$10"
		    quid       	"3BE220FB0271"
		    class      	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B"
		    persistence 	"Transient"
		    multi      	FALSE)))
	(object Mechanism @2
	    logical_models 	(list unit_reference_list
		(object Object "$UNNAMED$11"
		    quid       	"3BE2246F0178"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE2246F0179"
			    supplier   	"$UNNAMED$12"
			    quidu      	"3BE2246F0184")
			(object Link
			    quid       	"3BE2246F017B"
			    supplier   	"$UNNAMED$13"
			    quidu      	"3BE2246F018E"
			    messages   	(list Messages
				(object Message "Iterate( )"
				    quid       	"3BE2246F017D"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"2"
				    ordinal    	1
				    quidu      	"3BE2214402B2")))
			(object Link
			    quid       	"3BE2246F017E"
			    supplier   	"$UNNAMED$14"
			    quidu      	"3BE2246F0197"
			    messages   	(list Messages
				(object Message "Create( )"
				    quid       	"3BE2246F017F"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"1"
				    ordinal    	0
				    quidu      	"3BD7778502A7"))))
		    class      	"Logical View::CGIF Management::CGIFParser"
		    quidu      	"3BE21CA103B9"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$13"
		    quid       	"3BE2246F018E"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE2246F018D"
			    supplier   	"$UNNAMED$15"
			    quidu      	"3BE2246F0188"
			    messages   	(list Messages
				(object Message "Install(ACCGFactory)"
				    quid       	"3BE2246F018C"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"2.1"
				    ordinal    	2
				    quidu      	"3BE0B7ED0304"))))
		    class      	"Logical View::CGIF Management::Element_List"
		    quidu      	"3BE215740245"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$12"
		    quid       	"3BE2246F0184"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE2246F0183"
			    supplier   	"$UNNAMED$15"
			    quidu      	"3BE2246F0188")
			(object Link
			    quid       	"3BE2246F0185"
			    supplier   	"$UNNAMED$13"
			    quidu      	"3BE2246F018E"))
		    class      	"Logical View::CGIF Management::CCGIFLexicalAnalyzer"
		    quidu      	"3BE211C7036F"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$15"
		    quid       	"3BE2246F0188"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE2246F0189"
			    supplier   	"$UNNAMED$16"
			    quidu      	"3BE2246F0191"
			    messages   	(list Messages
				(object Message "Create( )"
				    quid       	"3BE2246F018A"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"2.1.1"
				    ordinal    	3
				    quidu      	"3BD7778502A7"))))
		    class      	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$16"
		    quid       	"3BE2246F0191"
		    class      	"Logical View::Conceptual_Graph_Engine::ACConstruct"
		    quidu      	"3BD773C20071"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$14"
		    quid       	"3BE2246F0197"
		    class      	"Logical View::Conceptual_Graph_Engine::CKnowledgeBase"
		    quidu      	"3BD773CE0141"
		    persistence 	"Transient"
		    multi      	FALSE)))
	(object Mechanism @3
	    logical_models 	(list unit_reference_list
		(object Object "$UNNAMED$17"
		    quid       	"3BE5C01A01E9"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE5C0300281"
			    supplier   	"$UNNAMED$18"
			    quidu      	"3BE5C0290123"
			    messages   	(list Messages
				(object Message "Get_Construct( )"
				    quid       	"3BE5C0300282"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"2"
				    ordinal    	1
				    quidu      	"3BE5C0380323")))
			(object Link
			    quid       	"3BE5C05E024B"
			    supplier   	"$UNNAMED$19"
			    quidu      	"3BE5C04D0215"
			    messages   	(list Messages
				(object Message "Create( )"
				    quid       	"3BE5C05E024C"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"1"
				    ordinal    	0
				    quidu      	"3BE220C60351")
				(object Message "Iterate( )"
				    quid       	"3BE5C0CB013A"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"4"
				    ordinal    	3
				    quidu      	"3BE2214402B2")))
			(object Link
			    quid       	"3BE5C0800073"
			    supplier   	"$UNNAMED$20"
			    quidu      	"3BE5C07400C6"
			    messages   	(list Messages
				(object Message "getDefLabel( )"
				    quid       	"3BE5C0800074"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"3"
				    ordinal    	2
				    Operation  	"getDefLabel"
				    quidu      	"3BD7783400E6"))))
		    class      	"Logical View::CGIF Management::CGIFParser"
		    quidu      	"3BE21CA103B9"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$18"
		    quid       	"3BE5C0290123"
		    class      	"Logical View::Conceptual_Graph_Engine::CKnowledgeBase"
		    quidu      	"3BD773CE0141"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$19"
		    quid       	"3BE5C04D0215"
		    collaborators 	(list link_list
			(object Link
			    quid       	"3BE5C0E00310"
			    supplier   	"$UNNAMED$20"
			    quidu      	"3BE5C07400C6"
			    messages   	(list Messages
				(object Message "getIndexIndiv( )"
				    quid       	"3BE5C0E00311"
				    frequency  	"Aperiodic"
				    synchronization 	"Simple"
				    dir        	"FromClientToSupplier"
				    sequence   	"4.1"
				    ordinal    	4
				    Operation  	"getIndexIndiv"
				    quidu      	"3BE5C0E40294"))))
		    class      	"Logical View::CGIF Management::Element_List"
		    quidu      	"3BE215740245"
		    persistence 	"Transient"
		    multi      	FALSE)
		(object Object "$UNNAMED$20"
		    quid       	"3BE5C07400C6"
		    class      	"Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer"
		    quidu      	"3BD77340029B"
		    persistence 	"Transient"
		    multi      	FALSE))))
    logical_presentations 	(list unit_reference_list
	(object ClassDiagram "Main"
	    quid       	"3BD7733C026E"
	    title      	"Main"
	    documentation 	"Invokes the operations on CG_Construct to Restrict the selected CG_Construct."
	    zoom       	100
	    max_height 	28350
	    max_width  	21600
	    origin_x   	0
	    origin_y   	0
	    items      	(list diagram_item_list
		(object ClassView "ParameterizedClass" "Logical View::Standard Template Library::Vector" @4
		    ShowCompartmentStereotypes 	TRUE
		    SuppressAttribute 	TRUE
		    SuppressOperation 	TRUE
		    location   	(1218, 1464)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@4
			location   	(1137, 1437)
			fill_color 	13434879
			nlines     	1
			max_width  	162
			justify    	0
			label      	"Vector")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2129F03A1"
		    height     	155
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::CGIF Management::CCGIFLexicalAnalyzer" @5
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(564, 1153)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@5
			location   	(206, 797)
			fill_color 	13434879
			nlines     	1
			max_width  	716
			justify    	0
			label      	"CCGIFLexicalAnalyzer")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE211C7036F"
		    compartment 	(object Compartment
			Parent_View 	@5
			location   	(206, 858)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			icon_style 	"Icon"
			fill_color 	16777215
			anchor     	2
			nlines     	13
			max_width  	713)
		    width      	734
		    height     	736
		    annotation 	8
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer" @6
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    ShowOperationSignature 	TRUE
		    location   	(1862, 775)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	TRUE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@6
			location   	(1476, 119)
			fill_color 	13434879
			nlines     	1
			max_width  	772
			justify    	0
			label      	"ElementCCGIFSyntaxAnalyzer")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BD77340029B"
		    compartment 	(object Compartment
			Parent_View 	@6
			location   	(1476, 180)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	TRUE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			icon_style 	"Icon"
			fill_color 	16777215
			anchor     	2
			nlines     	25
			max_width  	769)
		    width      	790
		    height     	1336
		    annotation 	8
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::CGIF Management::CGIFParser" @7
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(565, 312)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@7
			location   	(364, 156)
			fill_color 	13434879
			nlines     	2
			max_width  	402
			justify    	0
			label      	"CGIFParser")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE21CA103B9"
		    compartment 	(object Compartment
			Parent_View 	@7
			location   	(364, 217)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			icon_style 	"Icon"
			fill_color 	16777215
			anchor     	2
			nlines     	4
			max_width  	409)
		    width      	420
		    height     	336
		    annotation 	8
		    autoResize 	TRUE)
		(object UsesView "" @8
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE35E6300A5"
		    client     	@5
		    supplier   	@6
		    line_style 	0)
		(object RealizeView "" @9
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE215990221"
		    client     	@5
		    supplier   	@4
		    line_style 	0)
		(object UsesView "" @10
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE21E3401EC"
		    client     	@7
		    supplier   	@5
		    line_style 	0)
		(object UsesView "" @11
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE21E3B0156"
		    client     	@7
		    supplier   	@6
		    line_style 	0)))
	(object ClassDiagram "Element Classes"
	    quid       	"3BE2176901E2"
	    title      	"Element Classes"
	    zoom       	100
	    max_height 	28350
	    max_width  	21600
	    origin_x   	0
	    origin_y   	31
	    items      	(list diagram_item_list
		(object ClassView "Class" "Logical View::CGIF Management::Actor_Element" @12
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(1475, 815)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@12
			location   	(1325, 764)
			fill_color 	13434879
			nlines     	1
			max_width  	300
			justify    	0
			label      	"Actor_Element")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BD7734602D6"
		    width      	318
		    height     	126
		    annotation 	8
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::CGIF Management::Relation_Element" @13
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(1027, 815)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@13
			location   	(850, 764)
			fill_color 	13434879
			nlines     	1
			max_width  	354
			justify    	0
			label      	"Relation_Element")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BD77358000B"
		    width      	372
		    height     	126
		    annotation 	8
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::CGIF Management::Concept_Element" @14
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(563, 815)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@14
			location   	(384, 764)
			fill_color 	13434879
			nlines     	1
			max_width  	358
			justify    	0
			label      	"Concept_Element")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BD7737E0042"
		    width      	376
		    height     	126
		    annotation 	8
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::CGIF Management::ElementCCGIFSyntaxAnalyzer" @15
		    ShowCompartmentStereotypes 	TRUE
		    location   	(1128, 509)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	TRUE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@15
			location   	(831, 457)
			fill_color 	13434879
			nlines     	1
			max_width  	594
			justify    	0
			label      	"ElementCCGIFSyntaxAnalyzer")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BD77340029B"
		    width      	612
		    height     	128
		    annotation 	8
		    autoResize 	TRUE)
		(object InheritTreeView "" @16
		    location   	(1125, 663)
		    line_color 	3342489
		    fill_color 	13434879
		    supplier   	@15
		    vertices   	(list Points
			(1125, 663)
			(1125, 573)))
		(object InheritView "" @17
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BD7735401FA"
		    client     	@12
		    supplier   	@15
		    line_style 	3
		    origin_attachment 	(1392, 752)
		    terminal_attachment 	(1392, 663)
		    drawSupplier 	@16)
		(object InheritView "" @18
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BD77372015D"
		    client     	@13
		    supplier   	@15
		    line_style 	3
		    origin_attachment 	(1027, 752)
		    terminal_attachment 	(1027, 663)
		    drawSupplier 	@16)
		(object InheritView "" @19
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BD7739102E8"
		    client     	@14
		    supplier   	@15
		    line_style 	3
		    origin_attachment 	(372, 751)
		    terminal_attachment 	(372, 663)
		    drawSupplier 	@16)
		(object ClassView "Class" "Logical View::CGIF Management::Comment_Element" @20
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(1828, 827)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@20
			location   	(1718, 751)
			fill_color 	13434879
			nlines     	2
			max_width  	220
			justify    	0
			label      	"Comment_Element")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE36A850250"
		    width      	238
		    height     	176
		    annotation 	8
		    autoResize 	TRUE)
		(object InheritView "" @21
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE36AAF005C"
		    client     	@20
		    supplier   	@15
		    line_style 	3
		    origin_attachment 	(1756, 739)
		    terminal_attachment 	(1756, 663)
		    drawSupplier 	@16)))
	(object InteractionDiagram "Create Element List"
	    mechanism_ref 	@1
	    quid       	"3BD77642032F"
	    title      	"Create Element List"
	    zoom       	100
	    max_height 	28350
	    max_width  	21600
	    origin_x   	325
	    origin_y   	122
	    items      	(list diagram_item_list
		(object InterObjView "$UNNAMED$6" @22
		    location   	(471, 228)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@22
			location   	(471, 228)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	419
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE22052037C"
		    width      	437
		    height     	790
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @23
			location   	(471, 328)
			line_color 	3342489
			InterObjView 	@22
			height     	597
			y_coord    	537
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$7" @24
		    location   	(894, 228)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@24
			location   	(894, 228)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	352
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2205A0229"
		    width      	370
		    height     	790
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @25
			location   	(894, 328)
			line_color 	3342489
			InterObjView 	@24
			height     	537
			y_coord    	477
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$9" @26
		    location   	(1241, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@26
			location   	(1241, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	282
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE220A8014F"
		    width      	300
		    height     	790
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @27
			location   	(1241, 388)
			line_color 	3342489
			InterObjView 	@26
			height     	60
			y_coord    	0
			Nested     	FALSE)
		    Focus_Of_Control 	(object Focus_Of_Control "" @28
			location   	(1241, 640)
			line_color 	3342489
			InterObjView 	@26
			height     	60
			y_coord    	0
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$8" @29
		    location   	(1578, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@29
			location   	(1578, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	432
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE220860345"
		    width      	450
		    height     	790
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @30
			location   	(1578, 523)
			line_color 	3342489
			InterObjView 	@29
			height     	237
			y_coord    	177
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$10" @31
		    location   	(1926, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@31
			location   	(1926, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	576
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE220FB0271"
		    width      	594
		    height     	790
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @32
			location   	(1926, 583)
			line_color 	3342489
			InterObjView 	@31
			height     	60
			y_coord    	0
			Nested     	FALSE))
		(object InterMessView "" @33
		    location   	(0, 328)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @34
			Parent_View 	@33
			location   	(681, 307)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE220640184"
			anchor_loc 	1
			nlines     	1
			max_width  	154
			justify    	0
			label      	"Parse( )"
			pctDist    	0.497449
			height     	22
			orientation 	0)
		    line_color 	3342489
		    client     	@22
		    supplier   	@24
		    Focus_Src  	@23
		    Focus_Entry 	@25
		    origin     	(486, 328)
		    terminus   	(878, 328)
		    ordinal    	0)
		(object InterMessView "" @35
		    location   	(1238, 523)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @36
			Parent_View 	@35
			location   	(1235, 479)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE2209101CF"
			anchor_loc 	1
			nlines     	1
			max_width  	332
			justify    	0
			label      	"Read_CGIF_File()"
			pctDist    	0.500000
			height     	45
			orientation 	0)
		    line_color 	3342489
		    client     	@24
		    supplier   	@29
		    Focus_Src  	@25
		    Focus_Entry 	@30
		    origin     	(909, 523)
		    terminus   	(1562, 523)
		    ordinal    	2)
		(object InterMessView "" @37
		    location   	(0, 388)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @38
			Parent_View 	@37
			location   	(1064, 362)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE220C00050"
			anchor_loc 	1
			nlines     	1
			max_width  	166
			justify    	0
			label      	"Create( )"
			pctDist    	0.491176
			height     	27
			orientation 	0)
		    line_color 	3342489
		    client     	@24
		    supplier   	@26
		    Focus_Src  	@25
		    Focus_Entry 	@27
		    origin     	(909, 388)
		    terminus   	(1225, 388)
		    ordinal    	1)
		(object InterMessView "" @39
		    location   	(0, 583)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @40
			Parent_View 	@39
			location   	(1751, 539)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE2210202C2"
			anchor_loc 	1
			nlines     	1
			max_width  	250
			justify    	0
			label      	"getDefLabel( )"
			pctDist    	0.500000
			height     	45
			orientation 	0)
		    line_color 	3342489
		    client     	@29
		    supplier   	@31
		    Focus_Src  	@30
		    Focus_Entry 	@32
		    origin     	(1593, 583)
		    terminus   	(1910, 583)
		    ordinal    	3)
		(object InterMessView "" @41
		    location   	(0, 640)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @42
			Parent_View 	@41
			location   	(1410, 596)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE2210E0265"
			anchor_loc 	1
			nlines     	1
			max_width  	148
			justify    	0
			label      	"Insert( )"
			pctDist    	0.500000
			height     	45
			orientation 	1)
		    line_color 	3342489
		    client     	@29
		    supplier   	@26
		    Focus_Src  	@30
		    Focus_Entry 	@28
		    origin     	(1562, 640)
		    terminus   	(1257, 640)
		    ordinal    	4)))
	(object InteractionDiagram "Create CG Concepts"
	    mechanism_ref 	@2
	    quid       	"3BE22364011A"
	    title      	"Create CG Concepts"
	    zoom       	100
	    max_height 	28350
	    max_width  	21600
	    origin_x   	472
	    origin_y   	0
	    items      	(list diagram_item_list
		(object InterObjView "$UNNAMED$11" @43
		    location   	(806, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@43
			location   	(806, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	375
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2246F0178"
		    width      	393
		    height     	681
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @44
			location   	(806, 361)
			line_color 	3342489
			InterObjView 	@43
			height     	455
			y_coord    	395
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$13" @45
		    location   	(1160, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@45
			location   	(1160, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	282
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2246F018E"
		    width      	300
		    height     	681
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @46
			location   	(1160, 451)
			line_color 	3342489
			InterObjView 	@45
			height     	305
			y_coord    	245
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$12" @47
		    location   	(1490, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@47
			location   	(1490, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	432
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2246F0184"
		    width      	450
		    height     	681
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1)
		(object InterObjView "$UNNAMED$15" @48
		    location   	(1820, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@48
			location   	(1820, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	576
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2246F0188"
		    width      	594
		    height     	681
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @49
			location   	(1820, 513)
			line_color 	3342489
			InterObjView 	@48
			height     	183
			y_coord    	123
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$16" @50
		    location   	(2619, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@50
			location   	(2619, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	282
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2246F0191"
		    width      	300
		    height     	681
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @51
			location   	(2619, 576)
			line_color 	3342489
			InterObjView 	@50
			height     	60
			y_coord    	0
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$14" @52
		    location   	(2226, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@52
			location   	(2226, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	388
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2246F0197"
		    width      	406
		    height     	681
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @53
			location   	(2226, 361)
			line_color 	3342489
			InterObjView 	@52
			height     	60
			y_coord    	0
			Nested     	FALSE))
		(object InterMessView "" @54
		    location   	(983, 451)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @55
			Parent_View 	@54
			location   	(968, 414)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE2246F017D"
			anchor_loc 	1
			nlines     	1
			max_width  	160
			justify    	0
			label      	"Iterate( )"
			pctDist    	0.458204
			height     	38
			orientation 	0)
		    line_color 	3342489
		    client     	@43
		    supplier   	@45
		    Focus_Src  	@44
		    Focus_Entry 	@46
		    origin     	(821, 451)
		    terminus   	(1144, 451)
		    ordinal    	1)
		(object InterMessView "" @56
		    location   	(1481, 513)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @57
			Parent_View 	@56
			location   	(1489, 469)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE2246F018C"
			anchor_loc 	1
			nlines     	1
			max_width  	384
			justify    	0
			label      	"Install(ACCGFactory)"
			pctDist    	0.500000
			height     	45
			orientation 	0)
		    line_color 	3342489
		    client     	@45
		    supplier   	@48
		    Focus_Src  	@46
		    Focus_Entry 	@49
		    origin     	(1175, 513)
		    terminus   	(1804, 513)
		    ordinal    	2)
		(object InterMessView "" @58
		    location   	(0, 576)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @59
			Parent_View 	@58
			location   	(2219, 532)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE2246F018A"
			anchor_loc 	1
			nlines     	1
			max_width  	166
			justify    	0
			label      	"Create( )"
			pctDist    	0.500000
			height     	45
			orientation 	0)
		    line_color 	3342489
		    client     	@48
		    supplier   	@50
		    Focus_Src  	@49
		    Focus_Entry 	@51
		    origin     	(1835, 576)
		    terminus   	(2603, 576)
		    ordinal    	3)
		(object InterMessView "" @60
		    location   	(1519, 361)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @61
			Parent_View 	@60
			location   	(1336, 333)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE2246F017F"
			anchor_loc 	1
			nlines     	1
			max_width  	166
			justify    	0
			label      	"Create( )"
			pctDist    	0.371490
			height     	29
			orientation 	0)
		    line_color 	3342489
		    client     	@43
		    supplier   	@52
		    Focus_Src  	@44
		    Focus_Entry 	@53
		    origin     	(821, 361)
		    terminus   	(2210, 361)
		    ordinal    	0)))
	(object InteractionDiagram "Generate CGIF File"
	    mechanism_ref 	@3
	    quid       	"3BE5BFD30006"
	    title      	"Generate CGIF File"
	    zoom       	100
	    max_height 	28350
	    max_width  	21600
	    origin_x   	0
	    origin_y   	0
	    items      	(list diagram_item_list
		(object InterObjView "$UNNAMED$17" @62
		    location   	(300, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@62
			location   	(300, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	352
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE5C01A01E9"
		    width      	370
		    height     	767
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @63
			location   	(300, 345)
			line_color 	3342489
			InterObjView 	@62
			height     	557
			y_coord    	497
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$19" @64
		    location   	(704, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@64
			location   	(704, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	282
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE5C04D0215"
		    width      	300
		    height     	767
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @65
			location   	(704, 345)
			line_color 	3342489
			InterObjView 	@64
			height     	60
			y_coord    	0
			Nested     	FALSE)
		    Focus_Of_Control 	(object Focus_Of_Control "" @66
			location   	(704, 650)
			line_color 	3342489
			InterObjView 	@64
			height     	192
			y_coord    	132
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$18" @67
		    location   	(1104, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@67
			location   	(1104, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	336
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE5C0290123"
		    width      	354
		    height     	767
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @68
			location   	(1104, 453)
			line_color 	3342489
			InterObjView 	@67
			height     	60
			y_coord    	0
			Nested     	FALSE))
		(object InterObjView "$UNNAMED$20" @69
		    location   	(1456, 225)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	TRUE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@69
			location   	(1456, 225)
			fill_color 	13434879
			anchor_loc 	1
			nlines     	2
			max_width  	576
			justify    	0
			label      	"")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE5C07400C6"
		    width      	594
		    height     	767
		    icon_height 	0
		    icon_width 	0
		    icon_y_offset 	0
		    annotation 	1
		    Focus_Of_Control 	(object Focus_Of_Control "" @70
			location   	(1456, 553)
			line_color 	3342489
			InterObjView 	@69
			height     	60
			y_coord    	0
			Nested     	FALSE)
		    Focus_Of_Control 	(object Focus_Of_Control "" @71
			location   	(1456, 722)
			line_color 	3342489
			InterObjView 	@69
			height     	60
			y_coord    	0
			Nested     	FALSE))
		(object InterMessView "" @72
		    location   	(704, 453)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @73
			Parent_View 	@72
			location   	(701, 409)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE5C0300282"
			anchor_loc 	1
			nlines     	1
			max_width  	310
			justify    	0
			label      	"Get_Construct( )"
			pctDist    	0.500000
			height     	45
			orientation 	0)
		    line_color 	3342489
		    client     	@62
		    supplier   	@67
		    Focus_Src  	@63
		    Focus_Entry 	@68
		    origin     	(315, 453)
		    terminus   	(1088, 453)
		    ordinal    	1)
		(object InterMessView "" @74
		    location   	(0, 345)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @75
			Parent_View 	@74
			location   	(508, 317)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE5C05E024C"
			anchor_loc 	1
			nlines     	1
			max_width  	166
			justify    	0
			label      	"Create( )"
			pctDist    	0.520107
			height     	29
			orientation 	0)
		    line_color 	3342489
		    client     	@62
		    supplier   	@64
		    Focus_Src  	@63
		    Focus_Entry 	@65
		    origin     	(315, 345)
		    terminus   	(688, 345)
		    ordinal    	0)
		(object InterMessView "" @76
		    location   	(0, 553)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @77
			Parent_View 	@76
			location   	(877, 509)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE5C0800074"
			anchor_loc 	1
			nlines     	1
			max_width  	10
			justify    	0
			label      	"getDefLabel( )"
			pctDist    	0.500000
			height     	45
			orientation 	0)
		    line_color 	3342489
		    client     	@62
		    supplier   	@69
		    Focus_Src  	@63
		    Focus_Entry 	@70
		    origin     	(315, 553)
		    terminus   	(1440, 553)
		    ordinal    	2)
		(object NoteView @78
		    location   	(1815, 381)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@78
			location   	(1633, 278)
			fill_color 	13434879
			nlines     	4
			max_width  	328
			label      	"For each construct in the Knowledge Base")
		    line_color 	3342489
		    fill_color 	13434879
		    width      	388
		    height     	219)
		(object AttachView "" @79
		    stereotype 	TRUE
		    line_color 	3342489
		    client     	@78
		    supplier   	@72
		    line_style 	0)
		(object InterMessView "" @80
		    location   	(0, 650)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @81
			Parent_View 	@80
			location   	(501, 606)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE5C0CB013A"
			anchor_loc 	1
			nlines     	1
			max_width  	160
			justify    	0
			label      	"Iterate( )"
			pctDist    	0.500000
			height     	45
			orientation 	0)
		    line_color 	3342489
		    client     	@62
		    supplier   	@64
		    Focus_Src  	@63
		    Focus_Entry 	@66
		    origin     	(315, 650)
		    terminus   	(688, 650)
		    ordinal    	3)
		(object InterMessView "" @82
		    location   	(1089, 722)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object SegLabel @83
			Parent_View 	@82
			location   	(1079, 678)
			font       	(object Font
			    size       	10
			    face       	"Arial"
			    bold       	FALSE
			    italics    	FALSE
			    underline  	FALSE
			    strike     	FALSE
			    color      	0
			    default_color 	TRUE)
			quidu      	"3BE5C0E00311"
			anchor_loc 	1
			nlines     	1
			max_width  	10
			justify    	0
			label      	"getIndexIndiv( )"
			pctDist    	0.500000
			height     	45
			orientation 	0)
		    line_color 	3342489
		    client     	@64
		    supplier   	@69
		    Focus_Src  	@66
		    Focus_Entry 	@71
		    origin     	(719, 722)
		    terminus   	(1440, 722)
		    ordinal    	4)
		(object NoteView @84
		    location   	(500, 1059)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@84
			location   	(362, 947)
			fill_color 	13434879
			nlines     	4
			max_width  	240
			label      	"After Element List is populated")
		    line_color 	3342489
		    fill_color 	13434879
		    width      	300
		    height     	237)
		(object AttachView "" @85
		    stereotype 	TRUE
		    line_color 	3342489
		    client     	@84
		    supplier   	@80
		    line_style 	0)))))
