
(object Petal
    version    	45
    _written   	"Rose 7.5.0103.1920"
    charSet    	0)

(object Class_Category "Standard Template Library"
    is_unit    	TRUE
    is_loaded  	TRUE
    quid       	"3BE0B7CA0228"
    documentation 	"The Standard Template Library Domain represents the classes that will be used from the C++ STL.  These classes are typical of what might be found within a common code component library."
    exportControl 	"Public"
    logical_models 	(list unit_reference_list
	(object Parameterized_Class "Vector"
	    quid       	"3BE2129F03A1"
	    documentation 	"The Vector class provides an order list of elements."
	    superclasses 	(list inheritance_relationship_list
		(object Inheritance_Relationship
		    quid       	"3BE2152F03CD"
		    supplier   	"Logical View::Standard Template Library::Container"
		    quidu      	"3BE2151D0286"))
	    operations 	(list Operations
		(object Operation "Insert"
		    quid       	"3BE2133C0325"
		    documentation 	"The Insert method puts an instance into the Vector."
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "Push_Back"
		    quid       	"3BE2134303D9"
		    documentation 	
|The Push_Back method places an instance on the back of the Vector.
|
		    
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "Pop_Back"
		    quid       	"3BE2136C0374"
		    documentation 	"The Pop_Back method takes an instance off of the back of the Vector."
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "Front"
		    quid       	"3BE2136202B1"
		    documentation 	"The Front method takes an instace off of the front of the queue."
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "Back"
		    quid       	"3BE213660376"
		    documentation 	"The Back method takes an instance off of the back of the Vector."
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "Erase"
		    quid       	"3BE213540077"
		    documentation 	"The Erase method removes the selected Vector containee from the Vector."
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "Begin"
		    quid       	"3BE3604E01CE"
		    documentation 	"The Begin method creates an iterator that starts at the beginning of the Vector."
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0)
		(object Operation "End"
		    quid       	"3BE360670198"
		    documentation 	"The End method creates an iterator that starts at the end of the Vector."
		    concurrency 	"Sequential"
		    opExportControl 	"Public"
		    uid        	0))
	    language   	"C++")
	(object Parameterized_Class "Map"
	    quid       	"3BE214500250"
	    documentation 	"The Map class provides a mapping mechanism that allows the users to translate one particular id into a equivalent format."
	    superclasses 	(list inheritance_relationship_list
		(object Inheritance_Relationship
		    quid       	"3BE215340243"
		    supplier   	"Logical View::Standard Template Library::Container"
		    quidu      	"3BE2151D0286"))
	    language   	"C++")
	(object Parameterized_Class "List"
	    quid       	"3BE2150E0357"
	    documentation 	
|The List class contains a simple list of elements.
|
	    
	    superclasses 	(list inheritance_relationship_list
		(object Inheritance_Relationship
		    quid       	"3BE215380113"
		    supplier   	"Logical View::Standard Template Library::Container"
		    quidu      	"3BE2151D0286"))
	    language   	"C++")
	(object Parameterized_Class "Container"
	    quid       	"3BE2151D0286"
	    documentation 	"The Container class is a class that holds instances of other classes in memory."
	    language   	"C++")
	(object Class "String"
	    quid       	"3BE21D8E007B"
	    documentation 	"The String class performs the actions associated with String management."
	    language   	"C++"))
    logical_presentations 	(list unit_reference_list
	(object ClassDiagram "Package Overview"
	    quid       	"3BE0B7CA0278"
	    title      	"Package Overview"
	    documentation 	
|The Simplify method takes two Concepts that are in the same Conceptual Graph and removes any duplication of information.
|
|PDL:
|  find any relations the two concepts have in common
|    delete the Relations to the non-surviving Concept
|  remove the non-surviving Concept
|  
	    
	    zoom       	100
	    max_height 	28350
	    max_width  	21600
	    origin_x   	0
	    origin_y   	600
	    items      	(list diagram_item_list
		(object ClassView "ParameterizedClass" "Logical View::Standard Template Library::Vector" @1
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(247, 837)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@1
			location   	(90, 556)
			fill_color 	13434879
			nlines     	1
			max_width  	314
			justify    	0
			label      	"Vector")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2129F03A1"
		    width      	332
		    height     	663
		    autoResize 	TRUE)
		(object ClassView "ParameterizedClass" "Logical View::Standard Template Library::Map" @2
		    ShowCompartmentStereotypes 	TRUE
		    SuppressAttribute 	TRUE
		    SuppressOperation 	TRUE
		    location   	(635, 748)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@2
			location   	(554, 721)
			fill_color 	13434879
			nlines     	1
			max_width  	162
			justify    	0
			label      	"Map")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE214500250"
		    height     	155
		    autoResize 	TRUE)
		(object ClassView "ParameterizedClass" "Logical View::Standard Template Library::List" @3
		    ShowCompartmentStereotypes 	TRUE
		    SuppressAttribute 	TRUE
		    SuppressOperation 	TRUE
		    location   	(1085, 748)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@3
			location   	(1004, 721)
			fill_color 	13434879
			nlines     	1
			max_width  	162
			justify    	0
			label      	"List")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2150E0357"
		    height     	155
		    autoResize 	TRUE)
		(object ClassView "ParameterizedClass" "Logical View::Standard Template Library::Container" @4
		    ShowCompartmentStereotypes 	TRUE
		    SuppressAttribute 	TRUE
		    SuppressOperation 	TRUE
		    location   	(633, 242)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@4
			location   	(532, 215)
			fill_color 	13434879
			nlines     	1
			max_width  	202
			justify    	0
			label      	"Container")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE2151D0286"
		    width      	220
		    height     	155
		    autoResize 	TRUE)
		(object InheritTreeView "" @5
		    location   	(633, 409)
		    line_color 	3342489
		    fill_color 	13434879
		    supplier   	@4
		    vertices   	(list Points
			(633, 409)
			(633, 319)))
		(object InheritView "" @6
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE2152F03CD"
		    client     	@1
		    supplier   	@4
		    line_style 	3
		    origin_attachment 	(300, 506)
		    terminal_attachment 	(300, 409)
		    drawSupplier 	@5)
		(object InheritView "" @7
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE215340243"
		    client     	@2
		    supplier   	@4
		    line_style 	3
		    origin_attachment 	(643, 671)
		    terminal_attachment 	(643, 409)
		    drawSupplier 	@5)
		(object InheritView "" @8
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE215380113"
		    client     	@3
		    supplier   	@4
		    line_style 	3
		    origin_attachment 	(1093, 671)
		    terminal_attachment 	(1093, 409)
		    drawSupplier 	@5)
		(object ClassView "Class" "Logical View::Standard Template Library::String" @9
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(1362, 209)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@9
			location   	(1281, 159)
			fill_color 	13434879
			nlines     	1
			max_width  	162
			justify    	0
			label      	"String")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE21D8E007B"
		    height     	124
		    annotation 	8
		    autoResize 	TRUE)))))
