/******************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. 
** All rights reserved.
**
** File   : CCatalogOfIndividuals.h
**
** Author : David Phillips
**
** Description:
**    This file provides definition for the CCatalogOfIndividuals
**    class.
**
** History:
**    24-Nov-2001 : David Phillips
**        Created file.
******************************************************************/

#ifndef CCatalogOfIndividuals_h
#define CCatalogOfIndividuals_h 1

#pragma warning(disable: 4786)  // Disable debug information warning

// ACConstruct
#include "CGEngine\ACConstruct.h"
#include "CGEngine\CConcept.h"

class CCatalogOfIndividuals : public ACConstruct  //## Inherits: <unnamed>%3BD7741D0109
{

  public:
    //## Constructors (generated)
      CCatalogOfIndividuals();

      CCatalogOfIndividuals(const CCatalogOfIndividuals &right);

    //## Destructor (generated)
      ~CCatalogOfIndividuals();

    //## Assignment Operation (generated)
      CCatalogOfIndividuals & operator=(const CCatalogOfIndividuals &right);

    //## Equality Operations (generated)
      int operator==(const CCatalogOfIndividuals &right) const;
      int operator!=(const CCatalogOfIndividuals &right) const;

      void Insert (ACConstruct* pConstruct);

      CConcept* FindByMarker(std::string sMarker);

	  typedef std::map< std::string, CConcept* > IndividualMap;
      const IndividualMap* GetIndividuals() const;

  protected:
      IndividualMap m_mapIndividual;

};

#endif
