/******************************************************************************
**
** Authors : Satish Hota & Edwin Chan (with help from MFC)
** Date    : 09-Nov-01
** Filename: ConGraT.h
** Purpose : Main header file for the CONGRAT application
**
** History:
** 09-Nov-01 Satish Hota & Edwin Chan
**     File Created
** 30-Nov-01 Satish Hota
**     Added the ViewType enumeration.  This was originally in the view class
**     but the document was not able to access it properly.  Hence, moved it
**     here.
** 01-Dec-01 Edwin Chan
**     Added the CmdType enumeration, moved to here from the view class.
******************************************************************************/

#if !defined(AFX_CONGRAT_H__1ACC089F_5D85_42FC_B29F_FC2F0B7F5ACD__INCLUDED_)
#define AFX_CONGRAT_H__1ACC089F_5D85_42FC_B29F_FC2F0B7F5ACD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CConGraTApp:
// See ConGraT.cpp for the implementation of this class
//
// Enumeration of various possible view states.
enum ViewType
{
    ViewType_TypeHierarchy,
    ViewType_RelationHierarchy,
    ViewType_CatalogOfIndividuals,
    ViewType_SheetOfAssertion
};

// Enumeration of command types
enum CmdType
{
    CmdType_Select,
    CmdType_Copy,
    CmdType_Simplify,
    CmdType_Restrict,
    CmdType_Unrestrict,
    CmdType_Join,
    CmdType_Detach
};

class CConGraTApp : public CWinApp
{
public:
	CConGraTApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConGraTApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CConGraTApp)
	afx_msg void OnAppAbout();
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONGRAT_H__1ACC089F_5D85_42FC_B29F_FC2F0B7F5ACD__INCLUDED_)
