/******************************************************************************
**
** Authors : Edwin Chan (with help from MFC)
** Date    : 26-Nov-01
** Filename: PropDlg.h 
** Purpose : interface for the CPropDlg class
**
** History:
** 26-Nov-01 Edwin Chan
**     File Created
** 02-Dec-01 Edwin Chan, Satish Hota
**     Implemented the dialog box.
******************************************************************************/

#if !defined(AFX_PROPDLG_H__D2BF52CB_24E3_4E86_ABCC_F5F346104D7F__INCLUDED_)
#define AFX_PROPDLG_H__D2BF52CB_24E3_4E86_ABCC_F5F346104D7F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PropDlg.h : header file
//

#include <vector>
#include <string>

/////////////////////////////////////////////////////////////////////////////
// CPropDlg dialog

class CPropDlg : public CPropertyPage
{
	DECLARE_DYNCREATE(CPropDlg)

// Construction
public:
	std::string m_strSelected;
	void SetTypes(std::vector<std::string> typesVector, int nCursor);
	BOOL OnInitDialog();
	CPropDlg();
	~CPropDlg();

// Dialog Data
	//{{AFX_DATA(CPropDlg)
	enum { IDD = IDD_PROPDLG };
	CString	m_strRef;
	CListBox m_ListBox;
	CString m_strType;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPropDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPropDlg)
	afx_msg void OnDblclkList1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	std::vector<std::string> m_vectorStrings;
	int m_nCursor;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPDLG_H__D2BF52CB_24E3_4E86_ABCC_F5F346104D7F__INCLUDED_)
