/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : CGIFParser.h
**
** Author : Saranyu Tantipongsakul
**
** Description:
**    This file provides the interface for CCGIFParser class.
**
** History:
** 01-Dec-01 Saranyu Tantipongsakul
**     File Created.  This class uses CGIFSyntaxAnalyzer and 
**     CGIFLexicalAnalyzer classes.
******************************************************************************/

#if !defined(AFX_CGIFPARSER_H__CE1C8902_DE81_4E53_AB76_DE68FBF21BE4__INCLUDED_)
#define AFX_CGIFPARSER_H__CE1C8902_DE81_4E53_AB76_DE68FBF21BE4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>
#include "CGIFSyntaxAnalyzer.h"

class CCGIFParser  
{
public:
	virtual bool Generate(std::string strFileName, CKnowledgeBase *pKnowledgeBase);
	virtual bool Parse(std::string strFileName, ACCGFactory *pFactory, CKnowledgeBase** ppKnowledgebase);
	CCGIFParser();
	virtual ~CCGIFParser();

};

#endif // !defined(AFX_CGIFPARSER_H__CE1C8902_DE81_4E53_AB76_DE68FBF21BE4__INCLUDED_)
