/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : Drawable.h
**
** Author : Satish Hota
**
** Description:
**    This file provides the interface for CDrawable class.
**
** History:
** 28-Nov-01 Satish Hota
**     File Created.  There existed a class by the same name earlier and it
**     renamed to CDrawableElement.  Some of the common methods and member
**     variables have been pulled out of CDrawableElement and have been 
**     included in the CDrawable class.  This class now serves as a super-class
**     for CDrawableElement class and CDrawableComposite class.
******************************************************************************/

#if !defined(AFX_CDrawable_H__E944DD01_E3C1_11D5_A7C3_E6F0D1795B0D__INCLUDED_)
#define AFX_CDrawable_H__E944DD01_E3C1_11D5_A7C3_E6F0D1795B0D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDrawable  
{
public:
	virtual long Draw();
	CDrawable();
	virtual ~CDrawable();
	virtual void GetFromLocation(int *pnFromX, int *pnFromY);
	virtual void GetToLocation(int *pnToX, int *pnToY);

protected:
    int m_nFromX;
    int m_nFromY;
    int m_nToX;
    int m_nToY;
};

#endif // !defined(AFX_CDrawable_H__E944DD01_E3C1_11D5_A7C3_E6F0D1795B0D__INCLUDED_)
