/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableConcept.h
**
** Author : Satish Hota
**
** Description:
**    This file provides interface for CDrawableConcept class.
**
** History:
** 27-Nov-01 Satish Hota
**     File Created. 
** 01-Dec-01 Satish Hota
**     Overrode the GetText method.
** 02-Dec-01 Edwin Chan, Satish Hota
**     Added OnEditProperties, DoJoin and DoDetach methods.
******************************************************************************/

#if !defined(AFX_DRAWABLECONCEPT_H__D2F5CFA8_140E_4C6A_A97D_1AF10ABF71D9__INCLUDED_)
#define AFX_DRAWABLECONCEPT_H__D2F5CFA8_140E_4C6A_A97D_1AF10ABF71D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CGEngine/CConcept.h"
#include "DrawableRectangle.h"
#include "PropDlg.h"
#include "PropSheet.h"

class CDrawableConcept : public CDrawableRectangle,
                         public CConcept
{
public:
	virtual void DoDetach();
	virtual void DoJoin(CDrawableElement* pInElement);
	virtual void OnEditProperties(CmdType eCmd);
    virtual long GetText(std::string &rstrText);
	CDrawableConcept();
	virtual ~CDrawableConcept();

};

#endif // !defined(AFX_DRAWABLECONCEPT_H__D2F5CFA8_140E_4C6A_A97D_1AF10ABF71D9__INCLUDED_)
