/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableRectangle.h
**
** Author : Satish Hota
**
** Description:
**    This file provides interface for CDrawableRectangle class.
**
** History:
** 21-Nov-01 Satish Hota
**     File Created
** 28-Nov-01 Satish Hota
**     Made the CDrawable class CDrawableElement and created a CDrawable
**     super-class.  Hence, replaced usage of CDrawable with CDrawableElement.
** 30-Nov-01 Satish Hota
**     Added the ClipLine method.
******************************************************************************/

#if !defined(AFX_DRAWABLERECTANGLE_H__71BF9701_9805_476E_A699_F885D4AA82BD__INCLUDED_)
#define AFX_DRAWABLERECTANGLE_H__71BF9701_9805_476E_A699_F885D4AA82BD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DrawableElement.h"

class CDrawableRectangle : public CDrawableElement  
{
public:
	virtual long ClipLine(int *pnFromX, int *pnFromY, int *pnToX, int *pnToY);
	virtual long HitTest(int nXCoor, int nYCoor);
	CDrawableRectangle(int l, int t, int r, int b);
	virtual long Draw();
	CDrawableRectangle();
	virtual ~CDrawableRectangle();

};

#endif // !defined(AFX_DRAWABLERECTANGLE_H__71BF9701_9805_476E_A699_F885D4AA82BD__INCLUDED_)
