/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableSOA.h
**
** Author : Satish Hota
**
** Description:
**    This file provides interface for CDrawableSOA class.
**
** History:
** 28-Nov-01 Satish Hota
**     File Created. 
** 28-Nov-01 Satish Hota
**    Added Draw method.
** 01-Dec-01 Satish Hota
**     Overrode the ObjectsAt method.
******************************************************************************/

#if !defined(AFX_DRAWABLESOA_H__26509645_E3B7_11D5_A7C3_E6F0D1795B0D__INCLUDED_)
#define AFX_DRAWABLESOA_H__26509645_E3B7_11D5_A7C3_E6F0D1795B0D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CGEngine/CSheetOfAssertion.h"
#include "ACCDrawableComposite.h"
#include "DrawableArc.h"
#include "DrawableElement.h"
#include "DrawableConcept.h"
#include "DrawableRelation.h"

class CDrawableSOA : 
	public CSheetOfAssertion, 
	public ACCDrawableComposite  
{
public:
	virtual std::vector<CDrawableElement*> ObjectsAt(int nXCoor, int nYCoor);
	virtual long Draw();
	CDrawableSOA();
	virtual ~CDrawableSOA();

};

#endif // !defined(AFX_DRAWABLESOA_H__26509645_E3B7_11D5_A7C3_E6F0D1795B0D__INCLUDED_)
