/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableTH.h
**
** Author : Satish Hota
**
** Description:
**    This file provides interface for CDrawableTH class.
**
** History:
** 28-Nov-01 Satish Hota
**     File Created. 
** 28-Nov-01 Satish Hota
**    Added Draw method.
** 30-Nov-01 Satish Hota
**    Added the ObjectsAt method.
******************************************************************************/

#if !defined(AFX_DRAWABLETH_H__26509644_E3B7_11D5_A7C3_E6F0D1795B0D__INCLUDED_)
#define AFX_DRAWABLETH_H__26509644_E3B7_11D5_A7C3_E6F0D1795B0D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CGEngine/CTypeHierarchy.h"
#include "ACCDrawableComposite.h"
#include "DrawableTypeDefinition.h"
#include "DrawableArc.h"
#include "DrawableElement.h"	// Added by ClassView

class CDrawableTH : 
	public CTypeHierarchy, 
	public ACCDrawableComposite  
{
public:
    virtual std::vector<CDrawableElement*> ObjectsAt(int nXCoor, int nYCoor);
	virtual long Draw();
	CDrawableTH();
	virtual ~CDrawableTH();

};

#endif // !defined(AFX_DRAWABLETH_H__26509644_E3B7_11D5_A7C3_E6F0D1795B0D__INCLUDED_)
