/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : SelectCmd.h
**
** Author : Edwin Chan (with help from MFC)
**
** Description:
**    This file provides interface for CSelectCmd class.
**
** History:
** 24-Nov-01 Edwin Chan
**     File Created, separated from CmdTool.h
** 26-Nov-01 Edwin Chan
**     Added method OnEditProperties
******************************************************************************/

#if !defined(AFX_SELECTCMD_H__800A5C2A_559F_4E5E_B242_68EAA0411FB5__INCLUDED_)
#define AFX_SELECTCMD_H__800A5C2A_559F_4E5E_B242_68EAA0411FB5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning(disable: 4786)  // Disable debug information warning

#include "CmdTool.h"

class CConGraTView;

class CSelectCmd : public CCmdTool  
{
public:
    enum SelectMode
    {
        SelectMode_None,
        SelectMode_Move
    };

	CSelectCmd();
	virtual ~CSelectCmd();

	virtual void OnCancel();
	virtual void OnMouseMove(CConGraTView *pView, UINT nFlags, const CPoint &point);
	virtual void OnLButtonUp(CConGraTView *pView, UINT nFlags, const CPoint &point);
	virtual void OnLButtonDown(CConGraTView* pView, UINT nFlags, const CPoint& point);
	virtual void OnEditProperties(CConGraTView *pView);

    SelectMode m_eSelectMode;
};

#endif // !defined(AFX_SELECTCMD_H__800A5C2A_559F_4E5E_B242_68EAA0411FB5__INCLUDED_)
